import argparse


def main(folder, *args, **kwargs):
    my_path = folder
    print(my_path)
    print(f"script2 kwargs {kwargs}")
    print('end of script2.py')


def call():
    global arguments
    parser = argparse.ArgumentParser()
    parser.add_argument('--path', type=str, default='')
    parser.add_argument('--folder', type=str, default='test-folder')
    arguments = parser.parse_args()
    main(**vars(arguments))


if __name__ == '__main__':
    arguments = ''
    call()
    # print(f"final {arguments}")
